> For the complete documentation index, see [llms.txt](https://developer.openactive.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.openactive.io/data-model/types/bookingservice.md).

# BookingService

## **Properties**

### **Optional properties**

| Property        | Expected Type                                                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------- | -------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| @type           | [`Text`](https://schema.org/Text)                                          | Must always be present and set to `"@type": "BookingService"`                                                                                                                                                                                                                                                                                                                                                                                                |
| hasCredential   | [`URL`](https://schema.org/URL)                                            | A human and machine-readable certification file that asserts the service's conformance to established standards. The value of this property should be a URL that resolves to a valid and up-to-date OpenActive Test Suite Conformance Certificate for this implementation. Note this property is in EARLY RELEASE AND IS SUBJECT TO CHANGE, as the [Dataset API Discovery specification](https://openactive.io/dataset-api-discovery/EditorsDraft/) evolves. |
| name            | [`Text`](https://schema.org/Text)                                          | The name of the Booking System.                                                                                                                                                                                                                                                                                                                                                                                                                              |
| softwareVersion | [`Text`](https://schema.org/Text)                                          | The version of the application, useful for on-premise installations. Note this property is in EARLY RELEASE AND IS SUBJECT TO CHANGE, as the [Dataset API Discovery specification](https://openactive.io/dataset-api-discovery/EditorsDraft/) evolves.                                                                                                                                                                                                       |
| termsOfService  | Array of [`Terms`](https://developer.openactive.io/data-model/types/terms) | The terms of service of the Booking System.                                                                                                                                                                                                                                                                                                                                                                                                                  |
| url             | [`URL`](https://schema.org/URL)                                            | The URL of the website of the Booking System.                                                                                                                                                                                                                                                                                                                                                                                                                |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.openactive.io/data-model/types/bookingservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
